View Issue Details

IDProjectCategoryView StatusLast Update
0032792FPCCompilerpublic2018-02-24 17:14
ReporterJ. Gareth Moreton Assigned ToFlorian  
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
PlatformWin64OSWindows 7 (64-bit) 
Product Version3.1.1 
Fixed in Version3.1.1 
Summary0032792: [Feature Request] A means to configure stack unwinding under Intel-syntax assembler
DescriptionFor assembler routines that may make an appearance in third-party libraries, it is useful to setup the stack unwinding rules so exceptions are handled gracefully under Windows (so the right registers are restored and the program flow returns to the correct location, among other things). However, this is currently only possible, or at least only documented, under AT&T mode syntax.

I request features such as ".seh_endprologue" and ".seh_pushreg" etc, with appropriate semantic modifications to fit the Intel syntax, to be included when {$ASMMODE Intel} is selected so assembly programmers of the Intel syntax are not crippled.
Steps To ReproduceN/A
Additional InformationChoosing between Intel and AT&T should really only be a matter of personal preference rather than based on the features available. A lot of documentation (e.g.
TagsFeature
Fixed in Revision38331
FPCOldBugId
FPCTarget
Attached Files

Relationships

related to 0029894 resolvedFlorian Patch to add support of SEH directive in FPC internal assembler with INTEL syntax. 

Activities

J. Gareth Moreton

2017-12-07 16:29

developer   ~0104573

Sorry, cut short. What I meant to say was that a lot of documentation (e.g. "Intel® 64 and IA-32 Architectures Software Developer’s Manual") uses the Intel syntax.

Florian

2018-02-24 17:14

administrator   ~0106577

Supported with 38331

Issue History

Date Modified Username Field Change
2017-12-07 14:27 J. Gareth Moreton New Issue
2017-12-07 16:29 J. Gareth Moreton Note Added: 0104573
2017-12-31 15:01 J. Gareth Moreton Tag Attached: Feature
2018-02-24 15:54 Florian Relationship added related to 0029894
2018-02-24 17:14 Florian Fixed in Revision => 38331
2018-02-24 17:14 Florian Note Added: 0106577
2018-02-24 17:14 Florian Status new => resolved
2018-02-24 17:14 Florian Fixed in Version => 3.1.1
2018-02-24 17:14 Florian Resolution open => fixed
2018-02-24 17:14 Florian Assigned To => Florian